Package oracle.jdbc.pool

## Class OracleDataSourceFactory

- java.lang.Object
- - oracle.jdbc.datasource.impl.OracleDataSourceFactory
  - - oracle.jdbc.pool.OracleDataSourceFactory

All Implemented Interfaces:
  `ObjectFactory`

    public class OracleDataSourceFactory
    extends OracleDataSourceFactory

A factory for creating an Oracle datasource.

### Constructor Summary

Constructors
`OracleDataSourceFactory()`

### Method Summary

### Methods inherited from class oracle.jdbc.datasource.impl.OracleDataSourceFactory

`getConnectionDuringExceptionHandling, getObjectInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OracleDataSourceFactory

    public OracleDataSourceFactory()